# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::LoadWriterPNG Class Reference

The LoadWriterPNG class is a ResourceLoadWriter capable of reading PNG files. More...

`#include <vlPNG.hpp>`

Inheritance diagram for vl::LoadWriterPNG:

List of all members.

## Public Member Functions
virtual const char * | className ()
| Returns the name of the class.
| LoadWriterPNG ()
ref< ResourceDatabase > | loadResource (const String &path) const
ref< ResourceDatabase > | loadResource (VirtualFile *file) const
bool | writeResource (const String &path, ResourceDatabase *resource) const
bool | writeResource (VirtualFile *file, ResourceDatabase *resource) const
int | compression () const
void | setCompression (int compression)
| Sets the compression level used when saving a file. Should be between 0 and 9.
## Protected Attributes
int | mCompression

## Detailed Description

The LoadWriterPNG class is a ResourceLoadWriter capable of reading PNG files.

## Constructor & Destructor Documentation

vl::LoadWriterPNG::LoadWriterPNG | ( |  | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::LoadWriterPNG::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::ResourceLoadWriter.

ref<ResourceDatabase> vl::LoadWriterPNG::loadResource | ( | const String & | path | ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

ref<ResourceDatabase> vl::LoadWriterPNG::loadResource | ( | VirtualFile * | file | ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

bool vl::LoadWriterPNG::writeResource | ( | const String & | path,
|  | ResourceDatabase * | resource |
| ) |  |  | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

bool vl::LoadWriterPNG::writeResource | ( | VirtualFile * | file,
|  | ResourceDatabase * | resource |
| ) |  |  | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

int vl::LoadWriterPNG::compression | ( |  | ) | const`[inline]`

void vl::LoadWriterPNG::setCompression | ( | int | compression | ) | `[inline]`

Sets the compression level used when saving a file. Should be between 0 and 9.

## Member Data Documentation

int vl::LoadWriterPNG::mCompression`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vlPNG.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:57 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.